import bpy

def getArmatureObject(context):
    obj = context.active_object
    if obj.type == "ARMATURE":
        return obj
    elif obj.parent is not None and obj.parent.type == "ARMATURE":
        return obj.parent
    else:
        return None
        

def getPoseLib(context):
    arm = getArmatureObject(context)
    poselib = arm.animation_data.action

    return poselib